com.holonplatform.datastore.jpa.dialect

## Class DatanucleusDialect

- java.lang.Object
- - com.holonplatform.datastore.jpa.dialect.DatanucleusDialect

- All Implemented Interfaces:
    ORMDialect

      public class DatanucleusDialect
      extends Object
      implements ORMDialect

  Datanucleus `ORMDialect`.
  Since:
    5.1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatanucleusDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deleteStatementAliasSupported()` Get whether alias is supported in DELETE statements.
    `char` | `getLikeEscapeCharacter()` Get the character to use for ESCAPE in LIKE predicate.
    `int` | `getSupportedJPAMajorVersion()` Get the supported JPA major version.
    `int` | `getSupportedJPAMinorVersion()` Get the supported JPA minor version.
    `void` | `init(ORMDialectContext context)` Dialect initialization hook at parent datastore initialization.
    `boolean` | `isTupleSupported()` Returns whether the `Tuple` query result type is supported.
    `boolean` | `updateStatementAliasSupported()` Get whether alias is supported in UPDATE statements.
    `boolean` | `updateStatementSetAliasSupported()` Get whether alias is supported in UPDATE statement SET clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.dialect.ORMDialect

      `datanucleus, detect, eclipselink, getBatchSizeConfigurationProperty, getLikeEscapeJPQL, hibernate, likeEscapeSupported, openJPA, resolveFunction, temporalTypeParametersSupported, temporalTypeProjectionSupported, translateException`

- - ### Constructor Detail

    - #### DatanucleusDialect

          public DatanucleusDialect()

  - ### Method Detail

    - #### init

          public void init(ORMDialectContext context)

      Description copied from interface: `ORMDialect`
      Dialect initialization hook at parent datastore initialization.
      Specified by:
        `init` in interface `ORMDialect`
      Parameters:
        `context` - Dialect context

    - #### getSupportedJPAMajorVersion

          public int getSupportedJPAMajorVersion()

      Description copied from interface: `ORMDialect`
      Get the supported JPA major version.
      Specified by:
        `getSupportedJPAMajorVersion` in interface `ORMDialect`
      Returns:
        the supported JPA major version

    - #### getSupportedJPAMinorVersion

          public int getSupportedJPAMinorVersion()

      Description copied from interface: `ORMDialect`
      Get the supported JPA minor version.
      Specified by:
        `getSupportedJPAMinorVersion` in interface `ORMDialect`
      Returns:
        the supported JPA minor version

    - #### isTupleSupported

          public boolean isTupleSupported()

      Description copied from interface: `ORMDialect`
      Returns whether the `Tuple` query result type is supported.
      Specified by:
        `isTupleSupported` in interface `ORMDialect`
      Returns:
        Whether the `Tuple` query result type is supported

    - #### updateStatementAliasSupported

          public boolean updateStatementAliasSupported()

      Description copied from interface: `ORMDialect`
      Get whether alias is supported in UPDATE statements.
      Specified by:
        `updateStatementAliasSupported` in interface `ORMDialect`
      Returns:
        Whether alias is supported in UPDATE statements.

    - #### updateStatementSetAliasSupported

          public boolean updateStatementSetAliasSupported()

      Description copied from interface: `ORMDialect`
      Get whether alias is supported in UPDATE statement SET clause.
      Specified by:
        `updateStatementSetAliasSupported` in interface `ORMDialect`
      Returns:
        Whether alias is supported in UPDATE statement SET clause.

    - #### deleteStatementAliasSupported

          public boolean deleteStatementAliasSupported()

      Description copied from interface: `ORMDialect`
      Get whether alias is supported in DELETE statements.
      Specified by:
        `deleteStatementAliasSupported` in interface `ORMDialect`
      Returns:
        Whether alias is supported in DELETE statements.

    - #### getLikeEscapeCharacter

          public char getLikeEscapeCharacter()

      Description copied from interface: `ORMDialect`
      Get the character to use for ESCAPE in LIKE predicate.
      Specified by:
        `getLikeEscapeCharacter` in interface `ORMDialect`
      Returns:
        the character to use for ESCAPE in LIKE predicate.

Copyright © 2019 The Holon Platform. All rights reserved.